I get Error running command, return code: 1 || When I try to package apk (Android) T_T

I get Error running command, return code: 1 || When I try to package apk (Android) T_T
0.0 0

#1

Updated file C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android…\js-bindings\cocos2d-x\cocos\platform\android\java\proguard-project.txt
Android NDK: WARNING:C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android…/…/js-bindings/cocos2d-x/cocos/./Android.mk:cocos2dx_static: LOCAL_LDLIBS is always ignored for static libraries
Android NDK: WARNING:C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android…/…/js-bindings/cocos2d-x/cocos/platform/android/Android.mk:cocos2dxandroid_static: LOCAL_LDLIBS is always ignored for static libraries
make.exe: Entering directory C:/Users/Stunt/Documents/cocos/FlappyChit/frameworks/runtime-src/proj.android' [armeabi] StaticLibrary : libcocos2dxjsbchipmunk.a [armeabi] StaticLibrary : libcocos2dxjsbextension.a [armeabi] StaticLibrary : libcocos2dxjsblocalstorage.a [armeabi] StaticLibrary : libcocos2dxjsbui.a [armeabi] StaticLibrary : libcocos2dxjsbstudio.a [armeabi] StaticLibrary : libcocos2dxjsbnetwork.a [armeabi] StaticLibrary : libcocos2dxjsbbuilder.a [armeabi] StaticLibrary : libcocos2dxjsbspine.a [armeabi] StaticLibrary : liblocalstorage.a [armeabi] StaticLibrary : libcocostudio.a [armeabi] StaticLibrary : libnetwork.a [armeabi] StaticLibrary : libcocosbuilder.a [armeabi] StaticLibrary : libcocos2dxjsb.a [armeabi] StaticLibrary : libspine.a [armeabi] StaticLibrary : libui.a [armeabi] StaticLibrary : libextension.a [armeabi] StaticLibrary : libcocos2d.a [armeabi] StaticLibrary : libcocosdenshion.a [armeabi] StaticLibrary : libbox2d.a [armeabi] StaticLibrary : libchipmunk.a [armeabi] StaticLibrary : libcocos2dandroid.a [armeabi] StaticLibrary : libcpufeatures.a [armeabi] SharedLibrary : libcocos2djs.so [armeabi] Install : libcocos2djs.so => libs/armeabi/libcocos2djs.so make.exe: Leaving directoryC:/Users/Stunt/Documents/cocos/FlappyChit/frameworks/runtime-src/proj.android’
‘python’ is not recognized as an internal or external command,
operable program or batch file.
Running command: compile
Building mode: debug
running: ‘“H:\android-sdk\tools\android” update project -t android-21 -p C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android’

running: ‘“H:\android-sdk\tools\android” update lib-project -p C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android…/…/js-bindings/cocos2d-x/cocos/platform/android/java -t android-21’

building native
NDK build mode: release
running: ‘C:\android-ndk32-r10-windows-x86\android-ndk-r10\ndk-build -C C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android -j3 NDK_MODULE_PATH=C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android…/…/js-bindings;C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android…/…/js-bindings/cocos2d-x;C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android…/…/js-bindings/cocos2d-x/cocos;C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android…/…/js-bindings/cocos2d-x/external’

building apk
running: ‘“C:\cocos2d-js-v3.1\tools\cocos2d-console\bin\cocos” jscompile -s “C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android\assets” -d “C:\Users\Stunt\Documents\cocos\FlappyChit\frameworks\runtime-src\proj.android\assets”’

Error running command, return code: 1

What meaning return code 1

*****More Information I use

  • cocos ide v1.0.2
  • cocos2d-js-v3.1
  • python 2.7.5
  • jdk 1.7.0_71
  • android-ndk-r10
  • apache-ant-1.9.4

T_T Thanks you


#2

Thanks for all sorry for annoying.

fixed it’s by

  • use all x86 version
  • ndk -> change to r9d version

#3

Hi,

What does “use all x86 version” mean? I am having the same problem and I am getting “Error running command, return code: 1” I am using ndk r9d version as well.


#4

That mean you must use Python x86 version in addition